search cancel

After upgrade to ServiceDesk 8.6 and Workflow 8.6 RU1 - Module "Servicedesk.Im.Extensions.package" cannot be recompiled after upgrade.

book

Article ID: 227470

calendar_today

Updated On:

Products

ServiceDesk

Issue/Introduction

After upgrading to ServiceDesk (SD) 8.6:

All old incidents are open with extension data and all reports are broken due to this error:

ErrorLine: Assembly 'Symantec.ServiceDesk.Im.Automation, Version=8.6.1032.1, Culture=neutral, PublicKeyToken=null' uses 'Symantec.ProcessManager.WebServiceProxies, Version=8.6.1036.0, Culture=neutral, PublicKeyToken=307367a36958bdad' which has a higher version than referenced assembly 'Symantec.ProcessManager.WebServiceProxies, Version=8.6.1014.0, Culture=neutral, PublicKeyToken=307367a36958bdad' 0

Cause

SD 8.6 installer contain incompatible Workflow release build

Environment

Upgrading from SD/WF 8.5 to 8.6

Resolution

It's happening because 8.6 RU1 SD has a weird Workflow installer. The entire workflow codebase will be 8.6.1014, which is not RU1 at all.

To upgrade from 8.5 RU4 to 8.6 RU1 please follow those steps:

1) download the standalone WF package from the NS console menu Manage-> Workflows 

2) Run the downloaded Symantec.Workflow.Setup.exe

3) Select "Upgrade"

After Installation of Workflow component Download service desk installer MSI and skip the "Workflow Platform Installation" step

Engineering is not able to perform a fix for SD installer NOT to include the weird workflow installer version as we are not going to release new builds. (SD is going to be EOL on March 31, 2022 (KB 173849))